Transactions

Returns the list of transactions

get
/transactions

The transactions are sorted by creation date, in descending order. The most recently created transactions appear first. The transactions can be filtered by date using the from and to parameters. If the from and to parameters are not provided, the transactions are fetched from the beginning until now. The transactions can be paginated using the limit parameter. If there are more transactions to fetch with the provided parameters, the response will contain a hasNextPage field set to true. In order to fetch the next page, the to parameter must be set to the createdAt field of the last transaction of the current page.

Authorizations
RIALTO_API_KEYstringRequired
Query parameters
fromstring · date-timeOptional

The date from which the transactions are fetched. The comparison is made using the createdAt field of the transactions. The comparison is inclusive, meaning that the transactions created at the provided date are included in the result. The value is in ISO 8601 format. If the value is not provided, the transactions are fetched from the beginning.

Example: 2024-12-01T09:07:54.940Z
tostring · date-timeOptional

The date to which the transactions are fetched. The comparison is made using the createdAt field of the transactions. The comparison is exlusive, meaning that the transactions created at the provided date are not included in the result. The value is in ISO 8601 format. If the value is not provided, the transactions are fetched until now.

Example: 2024-12-03T10:07:54.940Z
limitinteger · int32Optional

The maximum number of transactions to fetch. The value must be a positive integer. If the value is not provided, the default value is 10. The maximum value is 100.

Example: 10
Responses
chevron-right
200

A JSON array of transactions.

application/json
hasNextPagebooleanOptional

Whether there are more transactions to fetch with the provided parameters.

get
/transactions

Creates a transaction

post
/transactions

Creates a new transaction on the Rialto platform. The transaction can be either an on-ramp (fiat to blockchain asset) or off-ramp (blockchain asset to fiat) transaction. The transaction is created in status IDLE and is waiting for the initial funds transfer to be initiated.

Authorizations
RIALTO_API_KEYstringRequired
Header parameters
Idempotency-KeystringRequired

A unique identifier for the request. It is used to ensure that the request is idempotent. The same request with the same idempotency key will return a 409 status.

Body
transactionTypestring · enumRequired

The type of the transaction. Possible values are:

  • OFFRAMP: The transaction is an off-ramping of blockchain asset to fiat currency,
  • ONRAMP: The transaction is an on-ramping of fiat currency to blockchain asset.
Possible values:
transactionAmountnumber · floatRequired

The amount of the transaction. The value is always positive.

blockchainAssetstringRequired

The blockchain asset of the transaction. See the list of supported blockchain assets.

bankAccountIdstring · uuidRequired

The identifier of the selected bank account for the transaction.

blockchainWalletIdstring · uuidRequired

The identifier of the selected blockchain wallet for the transaction

sourceOfFundsDocumentsstring[]Optional

The filenames of the documents related to the source of funds of the transaction. The documents must be uploaded before submitting the onboarding. Field is optional.

businessJustificationDocumentsstring[]Optional

The filenames of the documents related to the business justification of the transaction. The documents must be uploaded before submitting the onboarding. Field is optional.

commentsstringOptional

Comments added by the user at the creation of the transaction. Field is optional.

wireReferenceOverridestring · nullableOptional

In case of offramp, string that will replace the default wire reference. Use for specific cases of matching and integration on the client bank side. Field is optional.

Responses
post
/transactions

Get a transaction

get
/transactions/{transactionId}

Get a transaction by unique identifier.

Authorizations
RIALTO_API_KEYstringRequired
Path parameters
transactionIdstringRequired

The transaction ID

Query parameters
id_typestring · enumOptional

Defines whether the specified ID is the transaction ID of the transaction hash.

Possible values:
Responses
chevron-right
200

The transaction

application/json
idstring · uuidOptional

The unique identifier of the transaction.

transactionTypestring · enumOptional

The type of the transaction. Possible values are:

  • OFFRAMP: The transaction is an off-ramping of blockchain asset to fiat currency,
  • ONRAMP: The transaction is an on-ramping of fiat currency to blockchain asset.
Possible values:
statusstring · enumOptional

The status of the transaction. Possible values are:

  • IDLE: The transaction has been created and is waiting for the initial funds transfer to be initiated,
  • INITIATED: transaction has been initiated, it is in progress of resolution by Rialto,
  • COMPLETED: The transaction has been completed,
  • CANCELLED: The transaction has been cancelled,
  • DISMISSED: The transaction has been dismissed by Rialto.
Possible values:
idempotencyKeystring · nullableOptional

The idempotency key input at the transaction creation. It is only defined for transactions created by the API

originalAmountnumber · floatOptional

The original amount of the transaction. The value is always positive.

fiatCurrencystringOptional

The fiat currency of the transaction. See the list of supported fiat currencies.

blockchainAssetstringOptional

The blockchain asset of the transaction. See the list of supported blockchain assets.

blockchainNetworkstringOptional

The blockchain network of the transaction. See the list of supported blockchains.

blockchainWalletIdstring · uuidOptional

The blockchain wallet identifier of transaction.

bankAccountIdstring · uuidOptional

The bank account identifier of transaction. The fiat currency of the transaction is the one of the bank account.

wireReferenceOverridestring · nullableOptional

In case of offramp, string that will replace the default wire reference. Use for specific cases of matching and integration on the client bank side. Field is optional.

createdAtstring · date-timeOptional

The creation date of the transaction.

cancelledAtstring · nullableOptional

The date when the transaction was cancelled. Only present if the transaction was cancelled, i.e. in status CANCELLED.

clientIdstring · uuidOptional

The unique identifier of the client.

clientTypestring · enumOptional

The type of the client.

  • INDIVIDUAL: The client is an individual.
  • ENTITY: The client is an entity.
Possible values:
get
/transactions/{transactionId}

Cancel a transaction

post
/transactions/{transactionId}/cancel

Cancel a transaction by unique identifier.

Authorizations
RIALTO_API_KEYstringRequired
Path parameters
transactionIdstringRequired

The transaction ID

Responses
chevron-right
200

The transaction has been cancelled.

application/json
idstring · uuidOptional

The unique identifier of the transaction.

transactionTypestring · enumOptional

The type of the transaction. Possible values are:

  • OFFRAMP: The transaction is an off-ramping of blockchain asset to fiat currency,
  • ONRAMP: The transaction is an on-ramping of fiat currency to blockchain asset.
Possible values:
statusstring · enumOptional

The status of the transaction. Possible values are:

  • IDLE: The transaction has been created and is waiting for the initial funds transfer to be initiated,
  • INITIATED: transaction has been initiated, it is in progress of resolution by Rialto,
  • COMPLETED: The transaction has been completed,
  • CANCELLED: The transaction has been cancelled,
  • DISMISSED: The transaction has been dismissed by Rialto.
Possible values:
idempotencyKeystring · nullableOptional

The idempotency key input at the transaction creation. It is only defined for transactions created by the API

originalAmountnumber · floatOptional

The original amount of the transaction. The value is always positive.

fiatCurrencystringOptional

The fiat currency of the transaction. See the list of supported fiat currencies.

blockchainAssetstringOptional

The blockchain asset of the transaction. See the list of supported blockchain assets.

blockchainNetworkstringOptional

The blockchain network of the transaction. See the list of supported blockchains.

blockchainWalletIdstring · uuidOptional

The blockchain wallet identifier of transaction.

bankAccountIdstring · uuidOptional

The bank account identifier of transaction. The fiat currency of the transaction is the one of the bank account.

wireReferenceOverridestring · nullableOptional

In case of offramp, string that will replace the default wire reference. Use for specific cases of matching and integration on the client bank side. Field is optional.

createdAtstring · date-timeOptional

The creation date of the transaction.

cancelledAtstring · nullableOptional

The date when the transaction was cancelled. Only present if the transaction was cancelled, i.e. in status CANCELLED.

clientIdstring · uuidOptional

The unique identifier of the client.

clientTypestring · enumOptional

The type of the client.

  • INDIVIDUAL: The client is an individual.
  • ENTITY: The client is an entity.
Possible values:
post
/transactions/{transactionId}/cancel

Generates a pre-signed URL for downloading the invoice of a completed transaction

post
/transactions/{transactionId}/request-invoice

Generates a pre-signed URL for downloading the invoice of a completed transaction. The invoice is a PDF file containing the details of the transaction. The invoice is generated only for completed transactions. Each pre-signed URL is valid for 5 minutes. See the S3 documentationarrow-up-right for more information on S3 pre-signed URLs.

Authorizations
RIALTO_API_KEYstringRequired
Path parameters
transactionIdstringRequired

The transaction ID

Responses
post
/transactions/{transactionId}/request-invoice

Returns a quote for a new transaction

get
/transactions/quote

Returns a quote for a new transaction on the Rialto platform The quote is an estimation of the amount that the user will receive in the completion of the transaction. The quote is based on the current exchange rate and the user's preset fees.

Authorizations
RIALTO_API_KEYstringRequired
Query parameters
transactionTypestring · enumRequired

The type of the transaction. Possible values are:

  • OFFRAMP: The transaction is an off-ramping of blockchain asset to fiat currency,
  • ONRAMP: The transaction is an on-ramping of fiat currency to blockchain asset.
Example: OFFRAMPPossible values:
transactionAmountnumber · floatRequired

The amount of the transaction. The value is always positive.

Example: 1000.12
bankAccountIdstring · uuidRequired

The identifier of the selected bank account for the transaction.

Example: f086ab63-c037-4726-9292-18760de385b0
blockchainWalletIdstring · uuidRequired

The identifier of the selected blockchain wallet for the transaction.

Example: c05ae486-44bf-4672-99e1-bc45febf66a4
blockchainAssetstringRequired

The blockchain asset of the transaction. See the list of supported blockchain assets.

Example: eurc
Responses
chevron-right
200

The quote for the transaction.

application/json
initiationAmountnumber · floatOptional

The input amount of the transaction. It will be the amount of the initial funds transfer to Rialto. The value is always positive.

completionAmountnumber · floatOptional

The estimated amount of the transferred amount to the user. The value is always positive.

bpsFeenumber · uint32Optional

The previsionnal fee of the transaction in BPS (basis points). The volume part of the fee amount can be derived by applying the BPS fee to the amount of the initial funds transfer. The value is always positive.

fixedFeenumber · uint32Optional

The previsionnal fixed fee applied to the transaction. The fixed fee is applied after the calculation of the volume fee in the total fee computation. This fee is only applied on offramps, for flows originating from usd or euro stablecoins. The value is always positive.

conversionRatenumber · floatOptional

The conversion rate of the transaction. For off-ramp transactions, it is the rate of the blockchain asset to fiat currency. For on-ramp transactions, it is the rate of the fiat currency to blockchain asset. The value is always positive.

volumeConsumptionnumber · floatOptional

The estimated consumption of the monthly volume of the transaction. The value is in US dollars. It is computed based on the amount of the transaction, the blockchain asset, the fiat currency, the execution conversion rate and possibly the conversion rate to USD at the time of completion of the transaction. The value is always positive. Only two decimal places are allowed.

remainingPrevisionalVolumenumber · floatOptional

The remaining previsional volume of the user for the current month. It takes into account the volume consumed by the transaction and the volume consumed by the other transactions of the user. The value is in US dollars. It is computed based on the amount of the transaction, the blockchain asset, the fiat currency, the execution conversion rate and possibly the conversion rate to USD at the time of completion of the transaction. The value is always positive. Only two decimal places are allowed.

presetFeeIdstring · uuidOptional

The unique identifier of the preset fee applied to the transaction. The value is null if no preset fee is applicable.

fiatCurrencystringOptional

The fiat currency of the transaction. See the list of supported fiat currencies. The value is the one of the bank account.

blockchainAssetstringOptional

The blockchain asset of the transaction. See the list of supported blockchain assets.

blockchainNetworkstringOptional

The blockchain network of the transaction. See the list of supported blockchains. The value is the one of the blockchain wallet.

get
/transactions/quote

Returns the transactions volume breakdown

get
/transactions/volume

Returns the volume breakdown of the transactions. The summary is returned for the current month. The breakdown for each transaction path is returned for the current month and the current day. The volume is in US dollars. Two decimal places are allowed. The volume is divided according to the status of the transactions:

  • IDLE: transaction has been created and is waiting for initiation,

  • INITIATED: transaction has been initiated, it is in progress of resolution by Rialto,

  • COMPLETED: transaction has been completed.

Authorizations
RIALTO_API_KEYstringRequired
Responses
chevron-right
200

The transactions volume breakdown.

application/json
get
/transactions/volume

Last updated